"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Footer: Auth0's footer component. Styles are inherited from components CSS bundle.
 */
var Footer = function Footer() {
  return _react2.default.createElement(
    "footer",
    { className: "site-footer" },
    _react2.default.createElement(
      "div",
      { className: "container" },
      _react2.default.createElement(
        "div",
        { className: "logo" },
        _react2.default.createElement("img", {
          src: "https://cdn.auth0.com/styleguide/components/1.0.8/media/logos/img/badge.png",
          width: "30",
          role: "presentation"
        })
      ),
      _react2.default.createElement(
        "div",
        { className: "footer-grid" },
        _react2.default.createElement(
          "div",
          { className: "column" },
          _react2.default.createElement(
            "div",
            { className: "item" },
            _react2.default.createElement(
              "h6",
              null,
              "Product"
            )
          ),
          _react2.default.createElement(
            "div",
            { className: "item" },
            _react2.default.createElement(
              "a",
              { href: "https://auth0.com/pricing" },
              "Pricing"
            )
          ),
          _react2.default.createElement(
            "div",
            { className: "item" },
            _react2.default.createElement(
              "a",
              { href: "https://auth0.com/why-auth0" },
              "Why Auth0"
            )
          ),
          _react2.default.createElement(
            "div",
            { className: "item" },
            _react2.default.createElement(
              "a",
              { href: "https://auth0.com/how-it-works" },
              "How It Works"
            )
          )
        ),
        _react2.default.createElement(
          "div",
          { className: "column" },
          _react2.default.createElement(
            "div",
            { className: "item" },
            _react2.default.createElement(
              "h6",
              null,
              "Company"
            )
          ),
          _react2.default.createElement(
            "div",
            { className: "item" },
            _react2.default.createElement(
              "a",
              { href: "https://auth0.com/about" },
              "About Us"
            )
          ),
          _react2.default.createElement(
            "div",
            { className: "item" },
            _react2.default.createElement(
              "a",
              { href: "https://auth0.com/blog" },
              "Blog"
            )
          ),
          _react2.default.createElement(
            "div",
            { className: "item" },
            _react2.default.createElement(
              "a",
              { href: "https://auth0.com/jobs" },
              "Jobs"
            )
          ),
          _react2.default.createElement(
            "div",
            { className: "item" },
            _react2.default.createElement(
              "a",
              { href: "https://auth0.com/press" },
              "Press"
            )
          )
        ),
        _react2.default.createElement(
          "div",
          { className: "column" },
          _react2.default.createElement(
            "div",
            { className: "item" },
            _react2.default.createElement(
              "h6",
              null,
              "Security"
            )
          ),
          _react2.default.createElement(
            "div",
            { className: "item" },
            _react2.default.createElement(
              "a",
              { href: "https://auth0.com/availability-trust" },
              "Availability & Trust"
            )
          ),
          _react2.default.createElement(
            "div",
            { className: "item" },
            _react2.default.createElement(
              "a",
              { href: "https://auth0.com/security" },
              "Security"
            )
          ),
          _react2.default.createElement(
            "div",
            { className: "item" },
            _react2.default.createElement(
              "a",
              { href: "https://auth0.com/whitehat" },
              "White Hat"
            )
          )
        ),
        _react2.default.createElement(
          "div",
          { className: "column" },
          _react2.default.createElement(
            "div",
            { className: "item" },
            _react2.default.createElement(
              "h6",
              null,
              "Learn"
            )
          ),
          _react2.default.createElement(
            "div",
            { className: "item" },
            _react2.default.createElement(
              "a",
              { href: "https://support.auth0.com" },
              "Help & Support"
            )
          ),
          _react2.default.createElement(
            "div",
            { className: "item" },
            _react2.default.createElement(
              "a",
              { href: "https://auth0.com/docs" },
              "Documentation"
            )
          ),
          _react2.default.createElement(
            "div",
            { className: "item" },
            _react2.default.createElement(
              "a",
              { href: "https://auth0.com/opensource" },
              "Open Source"
            )
          )
        ),
        _react2.default.createElement(
          "div",
          { className: "column" },
          _react2.default.createElement(
            "div",
            { className: "item" },
            _react2.default.createElement(
              "h6",
              null,
              "Extend"
            )
          ),
          _react2.default.createElement(
            "div",
            { className: "item" },
            _react2.default.createElement(
              "a",
              { href: "https://auth0.com/lock" },
              "Lock"
            )
          ),
          _react2.default.createElement(
            "div",
            { className: "item" },
            _react2.default.createElement(
              "a",
              { href: "https://auth0.com/wordpress" },
              "WordPress"
            )
          ),
          _react2.default.createElement(
            "div",
            { className: "item" },
            _react2.default.createElement(
              "a",
              { href: "https://auth0.com/docs/apiv2" },
              "API Explorer"
            )
          )
        ),
        _react2.default.createElement(
          "div",
          { className: "contact" },
          _react2.default.createElement(
            "div",
            { className: "column" },
            _react2.default.createElement(
              "div",
              { className: "item" },
              _react2.default.createElement(
                "h6",
                null,
                "Contact"
              )
            ),
            _react2.default.createElement(
              "div",
              { className: "item item-text" },
              "10900 NE 8th Street",
              _react2.default.createElement("br", null),
              "Suite 700",
              _react2.default.createElement("br", null),
              "Bellevue, WA   98004"
            )
          ),
          _react2.default.createElement(
            "div",
            { className: "column no-heading" },
            _react2.default.createElement(
              "div",
              { className: "item" },
              _react2.default.createElement(
                "a",
                { href: "tel:+18882352699" },
                "+1 (888) 235-2699"
              )
            ),
            _react2.default.createElement(
              "div",
              { className: "item" },
              _react2.default.createElement(
                "a",
                { href: "tel:+14253126521" },
                "+1 (425) 312-6521"
              )
            ),
            _react2.default.createElement(
              "div",
              { className: "item" },
              _react2.default.createElement(
                "a",
                { href: "https://support.auth0.com" },
                "Support Center"
              )
            )
          )
        )
      ),
      _react2.default.createElement(
        "div",
        { className: "colophon" },
        _react2.default.createElement(
          "div",
          { className: "column" },
          _react2.default.createElement(
            "div",
            { className: "social" },
            _react2.default.createElement(
              "div",
              { className: "twitter" },
              _react2.default.createElement("iframe", {
                allowTransparency: "true",
                frameBorder: "0",
                scrolling: "no",
                src: "//platform.twitter.com/widgets/follow_button.html?screen_name=auth0",
                className: "twitter"
              })
            ),
            _react2.default.createElement(
              "div",
              { className: "facebook" },
              _react2.default.createElement("iframe", {
                // eslint-disable-next-line max-len
                src: "//www.facebook.com/plugins/like.php?href=https%3A%2F%2Ffacebook.com%2Fgetauth0&width&layout=button_count&action=like&show_faces=false&show_count=false&share=false&height=21&appId=507756515938786",
                scrolling: "no",
                frameBorder: "0",
                allowTransparency: "true",
                className: "facebook"
              })
            )
          )
        ),
        _react2.default.createElement(
          "div",
          { className: "column" },
          _react2.default.createElement(
            "ul",
            { className: "list-inline text-right" },
            _react2.default.createElement(
              "li",
              null,
              _react2.default.createElement(
                "a",
                { href: "https://auth0.com/privacy" },
                "Privacy Policy"
              )
            ),
            _react2.default.createElement(
              "li",
              null,
              _react2.default.createElement(
                "a",
                { href: "https://auth0.com/terms" },
                "Terms of Service"
              )
            ),
            _react2.default.createElement(
              "li",
              null,
              _react2.default.createElement(
                "span",
                null,
                "\xA9 2013-2016 Auth0\xAE Inc. All Rights Reserved."
              )
            )
          )
        )
      )
    )
  );
};

exports.default = Footer;